<?php

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

if(defined("IN_ADMINCP"))
{
	global $mybb;

	$plugins->add_hook("admin_home_menu_quick_access", "controlpanel_acp_menu");
	$plugins->add_hook("admin_config_settings_change","controlpanel_settings_change");
	$plugins->add_hook("admin_page_output_footer","controlpanel_settings_footer");
}

function controlpanel_info()
{
	return array
	(
		"name"=>"Control Panel",
		"description"=>'Adds your Control Panel link to the Quick Access.',
		"website"=>"http://www.webhostingfox.com",
		"author"=>"Alex",
		"version"=>"1.2",
		"guid"=>"ea69e43e1ce539478082b4ad5c8d2e07",
		"compatibility"=>"16*",
		"codename"=>"controlpanel"
	);
}

function controlpanel_activate()
{
	global $mybb,$db;
	$info=controlpanel_info();
	$setting_group_array=array
	(	
		"name"=>$info["codename"],
        "title"=>$info["name"],
        "description"=>"cPanel and WHM Links in Quick Access.",
        "disporder"=>1,
        "isdefault"=>0
	);
	$db->insert_query("settinggroups",$setting_group_array);
 	$group=$db->insert_id();
	$settings=array
	(
		"controlpanel_onoff"=>array
		(
			"Enable?",
			"If you want to disable the links, just set this to no",
			"yesno",
			1
		),
		"controlpanel_cpanel_reseller"=>array
		(
			"Do you have reseller hosting?",
			"Is your hosting account a reseller?",
			"yesno",
			0
		),
		"controlpanel_usermin_reseller"=>array
		(
			"Do you have reseller hosting?",
			"Is your hosting account a reseller?",
			"yesno",
			0
		),
		"controlpanel_custom_reseller"=>array
		(
			"Do you have reseller hosting?",
			"Is your hosting account a reseller?",
			"yesno",
			0
		),
		"controlpanel_ssl"=>array
		(
			"Do you want to use SSL Domain/Ports?",
			"if you want your links to use SSL select yes",
			"yesno",
			0
		),
		"controlpanel_brands"=>array
		(
			"Pick your control panel you have",
			'This is your control panel you have',
			'select
			1=cPanel
			2=Plesk
			3=Directadmin
			4=Usermin
			5=Custom', 
			"1"
		),
		"controlpanel_cpanel_cpname"=>array
		(
			"cPanel Name",
			"Enter the name for your cPanel Name",
			"text", 
			"cPanel"
		),
		"controlpanel_cpanel_cpdomain"=>array
		(
			"cPanel Domain",
			"Enter your cPanel Domain Name",
			"text", 
			"http://yourdomain.com"
		),
		"controlpanel_cpanel_cpname2"=>array
		(
			"WHM Name",
			"Enter the name for your WHM Link",
			"text", 
			"WHM"
		),
		"controlpanel_cpanel_cpdomain2"=>array
		(
			"WHM  Domain",
			"Enter your WHM Domain Name",
			"text", 
			"http://yourdomain.com"
		),
		"controlpanel_plesk_cpname"=>array
		(
			"Plesk Name",
			"Enter the name for your Plesk Link",
			"text", 
			"http://yourdomain.com:2086"
		),
		"controlpanel_plesk_cpdomain"=>array
		(
			"Plesk Domain Name",
			"Enter your Plesk Domain Name",
			"text", 
			"http://yourdomain.com"
		),
		"controlpanel_directadmin_cpname"=>array
		(
			"Direct Admin Name",
			"Enter the name for your Direct Admin Link",
			"text", 
			"Control Panel"
		),
		"controlpanel_directadmin_cpdomain"=>array
		(
			"Direct Admin Domain Name",
			"Enter your Direct Admin Domain Name",
			"text", 
			"Control Panel"
		),
		"controlpanel_usermin_cpname"=>array
		(
			"Usermin Name",
			"Enter the name for your Usermin link",
			"text", 
			"Usermin"
		),
		"controlpanel_usermin_cpdomain"=>array
		(
			"Usermin Domain Name",
			"Enter your Usermin Domain Name",
			"text", 
			"http://yourdomain.com"
		),
		"controlpanel_usermin_cpname2"=>array
		(
			"Webmin Name",
			"Enter the name for your Webmin link",
			"text", 
			"Webmin"
		),
		"controlpanel_usermin_cpdomain2"=>array
		(
			"Webmin Domain Name",
			"Enter your domain name",
			"text", 
			"http://yourdomain.com"
		),
		"controlpanel_custom_cpname"=>array
		(
			"Custom Name",
			"Enter the name for your custom link",
			"text",
			"Custom Name"
		),
		"controlpanel_custom_cpdomain"=>array
		(
			"Custom Domain Name",
			"Enter your domain name (please add your port to the end of the domain if it needs one)",
			"text",
			"http://yourdomain.com"
		),
		"controlpanel_custom_cpname2"=>array
		(
			"Custom Name",
			"Enter the name for your custom link",
			"text",
			"Custom Name"
		),
		"controlpanel_custom_cpdomain2"=>array
		(
			"Custom Domain Name",
			"Enter your domain name (please add your port to the end of the domain if it needs one)",
			"text",
			"http://yourdomain.com"
		),
	);
	$i=1;
	foreach($settings as $name=>$sinfo)
	{
		$insert_array=array
		(
			"name"=>$name,
			"title"=>$db->escape_string($sinfo[0]),
			"description"=>$db->escape_string($sinfo[1]),
			"optionscode"=>$db->escape_string($sinfo[2]),
			"value"=>$db->escape_string($sinfo[3]),
			"gid"=>$group,
			"disporder"=>$i,
			"isdefault"=>0
		);
		$db->insert_query("settings",$insert_array);
		$i++;
	}
	rebuild_settings();
}

function controlpanel_deactivate()
{
	global $db;
	$info=controlpanel_info();
	$result=$db->simple_select("settinggroups","gid","name='".$info["codename"]."'",array("limit"=>1));
	$group=$db->fetch_array($result);
	if(!empty($group["gid"]))
	{
		$db->delete_query("settinggroups","gid='".$group["gid"]."'");
		$db->delete_query("settings","gid='".$group["gid"]."'");
		rebuild_settings();
	}
}

function controlpanel_acp_menu(&$sub_menu)
{
	global $mybb;
	
	// Sub menu item
	if($mybb->settings["controlpanel_onoff"]==1)
	{
	if($mybb->settings["controlpanel_brands"]==1)
	{
	$sub_menu[70] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_cpanel_cpname']}", "link" => "{$mybb->settings['controlpanel_cpanel_cpdomain']}:2082");
	}
	if($mybb->settings["controlpanel_cpanel_reseller"]==1&&$mybb->settings["controlpanel_brands"]==1)
	{
	$sub_menu[80] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_cpanel_cpname2']}", "link" => "{$mybb->settings['controlpanel_cpanel_cpdomain2']}:2086");
	}
	if($mybb->settings["controlpanel_brands"]==1&&$mybb->settings["controlpanel_ssl"]==1)
	{
	$sub_menu[70] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_cpanel_cpname']}", "link" => "https://{$mybb->settings['controlpanel_cpanel_cpdomain']}:2083");
	}
	if($mybb->settings["controlpanel_brands"]==1&&$mybb->settings["controlpanel_cpanel_reseller"]==1&&$mybb->settings["controlpanel_ssl"]==1)
	{
	$sub_menu[80] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_cpanel_cpname2']}", "link" => "https://{$mybb->settings['controlpanel_cpanel_cpdomain2']}:2087");
	}
	if($mybb->settings["controlpanel_brands"]==2)
	{
	$sub_menu[70] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_plesk_cpname']}", "link" => "{$mybb->settings['controlpanel_plesk_cpdomain']}:8443");
	}
	if($mybb->settings["controlpanel_brands"]==2&&$mybb->settings["controlpanel_ssl"]==1)
	{
	$sub_menu[70] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_plesk_cpname']}", "link" => "https://{$mybb->settings['controlpanel_plesk_cpdomain']}:8443");
	}
	if($mybb->settings["controlpanel_brands"]==3)
	{
	$sub_menu[70] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_directadmin_cpname']}", "link" => "{$mybb->settings['controlpanel_directadmin_cpdomain']}:2222");
	}
	if($mybb->settings["controlpanel_brands"]==3&&$mybb->settings["controlpanel_ssl"]==1)
	{
	$sub_menu[70] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_directadmin_cpname']}", "link" => "https://{$mybb->settings['controlpanel_directadmin_cpdomain']}:2222");
	}
	if($mybb->settings["controlpanel_brands"]==4)
	{
	$sub_menu[70] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_usermin_cpname']}", "link" => "{$mybb->settings['controlpanel_usermin_cpdomain']}:20000");
	}
	if($mybb->settings["controlpanel_usermin_reseller"]==1&&$mybb->settings["controlpanel_brands"]==4)
	{
	$sub_menu[80] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_usermin_cpname2']}", "link" => "{$mybb->settings['controlpanel_usermin_cpdomain2']}10000");
	}
	if($mybb->settings["controlpanel_brands"]==4&&$mybb->settings["controlpanel_ssl"]==1)
	{
	$sub_menu[70] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_usermin_cpname']}", "link" => "https://{$mybb->settings['controlpanel_usermin_cpdomain']}:20000");
	}
	if($mybb->settings["controlpanel_usermin_reseller"]==1&&$mybb->settings["controlpanel_brands"]==4&&$mybb->settings["controlpanel_ssl"]==1)
	{
	$sub_menu[80] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_usermin_cpname2']}", "link" => "https://{$mybb->settings['controlpanel_usermin_cpdomain2']}10000");
	}
	if($mybb->settings["controlpanel_brands"]==5)
	{
	$sub_menu[70] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_custom_cpname']}", "link" => "{$mybb->settings['controlpanel_custom_cpdomain']}");
	}
	if($mybb->settings["controlpanel_custom_reseller"]==1&&$mybb->settings["controlpanel_brands"]==5)
	{
	$sub_menu[80] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_custom_cpname2']}", "link" => "{$mybb->settings['controlpanel_custom_cpdomain2']}");
	}
	if($mybb->settings["controlpanel_brands"]==5&&$mybb->settings["controlpanel_ssl"]==1)
	{
	$sub_menu[70] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_custom_cpname']}", "link" => "https://{$mybb->settings['controlpanel_custom_cpdomain']}");
	}
	if($mybb->settings["controlpanel_custom_reseller"]==1&&$mybb->settings["controlpanel_brands"]==5&&$mybb->settings["controlpanel_ssl"]==1)
	{
	$sub_menu[80] = array("id" => "home", "title" => "{$mybb->settings['controlpanel_custom_cpname2']}", "link" => "https://{$mybb->settings['controlpanel_custom_cpdomain2']}");
	}
	}

	return $sub_menu;
}

function controlpanel_settings_change()
{
	global $db,$mybb,
	$controlpanel_settings_peeker;
	$info=controlpanel_info();
	$result=$db->simple_select("settinggroups","gid","name='".$info['codename']."'",array("limit"=>1));
	$group=$db->fetch_array($result);
	$controlpanel_settings_peeker=($mybb->input["gid"]==$group["gid"])&&($mybb->request_method!="post");
}

function controlpanel_settings_footer()
{
	global $controlpanel_settings_peeker;
	if($controlpanel_settings_peeker)
	{
		echo '<script type="text/javascript">
	Event.observe(window,"load",function(){
		loadcontrolpanelPeekers();
	});
	function loadcontrolpanelPeekers(){
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_cpanel_cpname"),/1/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_cpanel_cpdomain"),/1/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_cpanel_cpname2"),/1/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_cpanel_cpdomain2"),/1/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_plesk_cpname"),/2/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_plesk_cpdomain"),/2/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_plesk_cpname2"),/2/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_plesk_cpdomain2"),/2/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_directadmin_cpname"),/3/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_directadmin_cpdomain"),/3/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_directadmin_cpname2"),/3/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_directadmin_cpdomain2"),/3/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_usermin_cpname"),/4/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_usermin_cpdomain"),/4/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_usermin_cpname2"),/4/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_usermin_cpdomain2"),/4/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_custom_cpname"),/5/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_custom_cpdomain"),/5/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_custom_cpname2"),/5/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_custom_cpdomain2"),/5/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_usermin_reseller"),/4/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_cpanel_reseller"),/1/,false);
		new Peeker($("setting_controlpanel_brands"),$("row_setting_controlpanel_custom_reseller"),/5/,false);
		
	}
</script>';
	}
}

?>